               JOB  Function 117 -- Series
               CTL  6611
     *
     x1        equ  89
     x2        equ  94
     *
     * Entries in the arithmetic routine
     *
     acchi     equ  279   Accumulator
     nxtop1    equ  755
     exp2      equ  1680  Exponent of accum 2, and zero and RM
     *
               ORG  106
  110          DCW  @_____@
               ORG  2000
     *
     * Argument reduction
     *
 2000argred    SBR  argrex&3
 2004          MCW  acchi&X3,250
 2011          MN
 2012          LCA  pze
 2016          S    pze,249&X2
 2023          D    0&X1,250
 2030          MN   249&X2,acchi&X3
 2037          MCW
 2038          MN
 2039          SAR  x1
 2043argrex    B    0
     *
     * Series evaluation
     *
 2047series    SBR  seriex&3 
 2051          CW   swich1,swich2
 2058logent    S    202&X3         logf,atanf enter here
 2062          CW   acchi&1
 2066          CW
 2067          SW
 2068          S    x2&2
 2072          SBR  x2,250
 2079loop      MCS  250
 2083          SW   0&X1
 2087          BCE  done,0&X2,
 2095          MZ   251,1&X2
 2102          A    1&X2,202&X3
 2109          A    D0,x2&1
 2116          C    x2,x1
 2123          BH   done
 2128          A    b,c0
 2135          A    c0,di
 2142adr1      NOP  0-0,251        logf stores A addr here
 2149swich1    ZA                  logf,atan set the WM here
 2150          M    acchi&X3,254&X3
 2157          MZ   254&X3,255
 2164adr2      NOP  255,0-0        logf stores B addr here
 2171swich2    ZA                  logf,atan set the WM here
 2172          D    di,4&X1
 2179          B    loop
 2183done      SW   acchi&1
 2187seriex    B    0
     *
     * result is 1.0
     *
 2191setone    S    acchi&X3
 2195          MN   kp1,acchi&1
 2202          MZ   zone,acchi&X3
 2209          MZ   series,zone
 2216          ZA   kp1,exp2-1
 2223          B    nxtop1
     *
     * Data
     *
 2227ln10      equ  *&1
 2249          DCW  @23025850929940456840179@
 2250b         DCW  #1  0 for exp, log, atan, 8 for sin, cos
 2253c0        DCW  #3  1 exp, -2 sin, -6 cos, 1 log atan
 2256di        DCW  #3
 2259D0        DCW  #3  0 for exp, sin, cos, 1 for log, atan
 2260zone      dcw  @A@
 2261pze       dcw  &0
 2262kp1       dcw  &1
               ex
               end
